Hospitality
  1. Payments
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
        GET
      • Payment For Reservation
        POST
      • Create Payment Link (New)
        POST
      • Confirm Payment (New)
        GET
      • Make Payment For Apartment
        POST
      • Verify Paid Apartments
        GET
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Payments

Payment For Reservation

POST
/users/payment/reservation

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢201
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/users/payment/reservation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fromDate": "2025-01-05",
    "toDate": "2025-01-07",
    "price": 3000,
    "amount": 12000,
    "roomsTaken": 2,
    "reference": "1711484572341",
    "currency": "NGN",
    "roomId": "6713b321f958fa8c1151af33",
    "channel": "card",
    "reservation": {
        "type": "self"
    },
    "isDiscount": false
}'
Response Response Example
{
    "status": true,
    "message": "Success! Room reserved successfully.",
    "data": {
        "userId": "653bc09dd315da400aa0824d",
        "roomId": "653a1c4b29d03a5e5f17a704",
        "currency": "NGN",
        "amount": 105000,
        "quantity": 3,
        "fromDate": "2023-10-26",
        "toDate": "2023-10-27",
        "status": false,
        "channel": "card",
        "reference": "MOTHERLAND-3993724",
        "_id": "653bc18bc917952ef00616ef",
        "createdAt": "2023-10-27T13:56:27.435Z",
        "updatedAt": "2023-10-27T13:56:27.435Z",
        "__v": 0
    }
}
Modified at 2026-03-12 16:47:55
Previous
Verify Payment
Next
Create Payment Link (New)
Built with